Bug 86643 - http/tests/security/contentSecurityPolicy/script-src-redirect.html fails on Mac bots
: http/tests/security/contentSecurityPolicy/script-src-redirect.html fails on M...
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Page Loading
: 528+ (Nightly build)
: Macintosh All
: P2 Normal
Assigned To: Mike West
:
Depends on: 86433
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 09:52 PDT by Brady Eidson
Modified: 2012-05-22 08:17 PDT (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brady Eidson 2012-05-16 09:52:01 PDT
http/tests/security/contentSecurityPolicy/script-src-redirect.html fails on Mac bots.

The output has the wrong URLs and is missing expected whitespace  (that's probably a good thing...)

http://build-safari.apple.com/results/Mountain%20Lion%20Debug%20Tests/r117274_43004%20(2631)/results.html
Comment 1 Brady Eidson 2012-05-16 09:55:44 PDT
Added to skipped list in http://trac.webkit.org/changeset/117303
Comment 2 Brady Eidson 2012-05-16 10:17:55 PDT
Possible regression range according to the bots:
http://trac.webkit.org/log/trunk?rev=117123&stop_rev=117117&limit=8&verbose=on
Comment 3 Brady Eidson 2012-05-16 13:15:05 PDT
Added to the mac-lion skipped list in  http://trac.webkit.org/changeset/117329
Comment 4 Mike West 2012-05-18 01:38:48 PDT
I'll submit a patch for https://bugs.webkit.org/show_bug.cgi?id=86433 in a few minutes that should fix this as well.
Comment 5 Mike West 2012-05-22 08:17:09 PDT
Fixed in http://trac.webkit.org/changeset/117583